Browse Source

Moved dir $(srcdir)/vfs into $(srcdir)/lib/vfs/mc-vfs

Also, initial support of library directory.

Signed-off-by: Slava Zanko <slavazanko@gmail.com>
Slava Zanko 15 years ago
parent
commit
52f6bed7d0

+ 1 - 1
Makefile.am

@@ -1,7 +1,7 @@
 ## Process this file with automake to create Makefile.in.
 AUTOMAKE_OPTIONS = 1.5
 
-SUBDIRS = intl po vfs src doc syntax contrib misc
+SUBDIRS = intl po lib src doc syntax contrib misc
 
 EXTRA_DIST = 
 

+ 4 - 4
autogen.sh

@@ -29,7 +29,7 @@ fi
 cd "$srcdir"
 
 # The autoconf cache (version after 2.52) is not reliable yet.
-rm -rf autom4te.cache vfs/samba/autom4te.cache
+rm -rf autom4te.cache lib/vfs/mc-vfs/samba/autom4te.cache
 
 if test ! -d config; then
   mkdir config
@@ -72,16 +72,16 @@ $AUTOMAKE -a
 test -f Makefile.in || \
   { echo "automake failed to generate Makefile.in" >&2; exit 1; }
 
-cd vfs/samba
+cd lib/vfs/mc-vfs/samba
 date -u >include/stamp-h.in
 
 $AUTOHEADER
 test -f include/config.h.in || \
-  { echo "autoheader failed to generate vfs/samba/include/config.h.in" >&2; exit 1; }
+  { echo "autoheader failed to generate lib/vfs/mc-vfs/samba/include/config.h.in" >&2; exit 1; }
 
 $AUTOCONF
 test -f configure || \
-  { echo "autoconf failed to generate vfs/samba/configure" >&2; exit 1; }
+  { echo "autoconf failed to generate lib/vfs/mc-vfs/samba/configure" >&2; exit 1; }
 ) || exit 1
 
 $srcdir/maint/version.sh "$srcdir"

+ 31 - 29
configure.ac

@@ -545,7 +545,7 @@ dnl Libraries used only when building the mc binary
 AC_SUBST(MCLIBS)
 
 if test -n "$use_smbfs"; then
-  AC_CONFIG_SUBDIRS([vfs/samba])
+  AC_CONFIG_SUBDIRS([src/vfs/mc-vfs/samba])
 fi
 
 AM_CONDITIONAL(USE_MAINTAINER_MODE, [test x"$USE_MAINTAINER_MODE" = xyes])
@@ -583,35 +583,37 @@ src/skin/Makefile
 src/tty/Makefile
 src/viewer/Makefile
 
-syntax/Makefile
+lib/Makefile
+lib/vfs/Makefile
+lib/vfs/mc-vfs/Makefile
+lib/vfs/mc-vfs/extfs/Makefile
+lib/vfs/mc-vfs/extfs/a
+lib/vfs/mc-vfs/extfs/apt
+lib/vfs/mc-vfs/extfs/audio
+lib/vfs/mc-vfs/extfs/deb
+lib/vfs/mc-vfs/extfs/deba
+lib/vfs/mc-vfs/extfs/debd
+lib/vfs/mc-vfs/extfs/dpkg
+lib/vfs/mc-vfs/extfs/iso9660
+lib/vfs/mc-vfs/extfs/hp48
+lib/vfs/mc-vfs/extfs/lslR
+lib/vfs/mc-vfs/extfs/mailfs
+lib/vfs/mc-vfs/extfs/patchfs
+lib/vfs/mc-vfs/extfs/rpms
+lib/vfs/mc-vfs/extfs/s3
+lib/vfs/mc-vfs/extfs/uace
+lib/vfs/mc-vfs/extfs/ualz
+lib/vfs/mc-vfs/extfs/uar
+lib/vfs/mc-vfs/extfs/uarc
+lib/vfs/mc-vfs/extfs/uarj
+lib/vfs/mc-vfs/extfs/uc1541
+lib/vfs/mc-vfs/extfs/uha
+lib/vfs/mc-vfs/extfs/ulha
+lib/vfs/mc-vfs/extfs/urar
+lib/vfs/mc-vfs/extfs/uzip
+lib/vfs/mc-vfs/extfs/uzoo
 
-vfs/Makefile
-vfs/extfs/Makefile
-vfs/extfs/a
-vfs/extfs/apt
-vfs/extfs/audio
-vfs/extfs/deb
-vfs/extfs/deba
-vfs/extfs/debd
-vfs/extfs/dpkg
-vfs/extfs/iso9660
-vfs/extfs/hp48
-vfs/extfs/lslR
-vfs/extfs/mailfs
-vfs/extfs/patchfs
-vfs/extfs/rpms
-vfs/extfs/s3
-vfs/extfs/uace
-vfs/extfs/ualz
-vfs/extfs/uar
-vfs/extfs/uarc
-vfs/extfs/uarj
-vfs/extfs/uc1541
-vfs/extfs/uha
-vfs/extfs/ulha
-vfs/extfs/urar
-vfs/extfs/uzip
-vfs/extfs/uzoo
+syntax/Makefile
 
 doc/Makefile
 doc/hints/Makefile

+ 17 - 0
lib/Makefile.am

@@ -0,0 +1,17 @@
+SUBDIRS = vfs
+
+noinst_LTLIBRARIES = libmc.la
+
+libmc_la_SOURCES =
+
+libmc_la_CFLAGS=
+
+libmc_la_LIBADD =
+
+if ENABLE_VFS
+libmc_la_LIBADD += vfs/mc-vfs/libvfs-mc.a
+if USE_SAMBA_FS
+libmc_la_LIBADD += vfs/mc-vfs/samba/libsamba.a
+endif
+endif
+

+ 1 - 0
lib/vfs/Makefile.am

@@ -0,0 +1 @@
+SUBDIRS = mc-vfs

+ 0 - 0
vfs/.gitignore → lib/vfs/mc-vfs/.gitignore


+ 0 - 0
vfs/COPYING.LGPL → lib/vfs/mc-vfs/COPYING.LGPL


+ 0 - 0
vfs/HACKING → lib/vfs/mc-vfs/HACKING


+ 0 - 0
vfs/Makefile.am → lib/vfs/mc-vfs/Makefile.am


+ 0 - 0
vfs/README → lib/vfs/mc-vfs/README


Some files were not shown because too many files changed in this diff